## kernel-image-2.6.11-ia64 2.6.11-6

=== debian/changelog ===
kernel-image-2.6.11-ia64 (2.6.11-6) unstable; urgency=low

  * Rebuild against kernel-tree-2.6.11-7

 -- dann frazier <dannf@debian.org>  Thu, 16 Jun 2005 09:13:01 -0600

kernel-image-2.6.11-ia64 (2.6.11-5) unstable; urgency=low

  * Drop de4x5 module from build.  This module is deprecated.
    See #281569 and #294867.
  * Rebuild against kernel-tree-2.6.11-6
  * Include metapackages again.  Sarge has released, so we can make 2.6.11
    the default kernel in sid now.

 -- dann frazier <dannf@hp.com>  Sun, 12 Jun 2005 10:46:40 -0600

kernel-image-2.6.11-ia64 (2.6.11-4) unstable; urgency=low

  * Rebuild against kernel-tree-2.6.11-5

 -- dann frazier <dannf@debian.org>  Sat, 21 May 2005 13:45:16 -0600

kernel-image-2.6.11-ia64 (2.6.11-3) unstable; urgency=low

  * Rebuild against kernel-tree-2.6.11-4

 -- dann frazier <dannf@debian.org>  Fri, 20 May 2005 00:09:56 -0600

kernel-image-2.6.11-ia64 (2.6.11-2) unstable; urgency=low

  * Rebuild against kernel-tree-2.6.11-3

 -- dann frazier <dannf@debian.org>  Wed, 13 Apr 2005 17:57:35 -0600

kernel-image-2.6.11-ia64 (2.6.11-1) unstable; urgency=low

  * New upstream release

 -- dann frazier <dannf@debian.org>  Sat, 26 Mar 2005 17:52:49 -0700

kernel-image-2.6.10-ia64 (2.6.10-4) unstable; urgency=low

  * Build against kernel-tree-2.6.10-6
  * Change the maintainer to the kernel team

 -- dann frazier <dannf@debian.org>  Sun, 13 Mar 2005 01:33:17 -0700

kernel-image-2.6.10-ia64 (2.6.10-3) unstable; urgency=low

  * Build against kernel-tree-2.6.10-5

 -- dann frazier <dannf@debian.org>  Tue,  8 Feb 2005 14:40:13 -0700

kernel-image-2.6.10-ia64 (2.6.10-2) unstable; urgency=low

  * Disable CONFIG_BLK_DEV_UB - it is experimental, and hotplug prefers it
    over usb-storage.
  * Build against kernel-tree-2.6.10-4

 -- dann frazier <dannf@debian.org>  Thu, 20 Jan 2005 14:03:02 -0700

kernel-image-2.6.10-ia64 (2.6.10-1) unstable; urgency=low

  * Build against kernel-tree-2.6.10-3

 -- dann frazier <dannf@debian.org>  Mon, 10 Jan 2005 00:37:46 -0700

kernel-image-2.6.9-ia64 (2.6.9-4) unstable; urgency=low

  * Link keyboard drivers statically.
  * [SECURITY] Rebuild against kernel-tree-2.6.9-5

 -- dann frazier <dannf@debian.org>  Sat, 08 Jan 2005 11:57:04 -0700

kernel-image-2.6.9-ia64 (2.6.9-3) unstable; urgency=low

  * Bump SONAME
  * Rebuild against kernel-tree-2.6.9-4

 -- dann frazier <dannf@dannf.org>  Mon, 27 Dec 2004 00:56:04 -0700

kernel-image-2.6.9-ia64 (2.6.9-2) unstable; urgency=high

  * [SECURITY] Rebuild against kernel-tree-2.6.9-3, which contains fixes
    for the recently discovered binfmt_elf vulnerabilities.

 -- dann frazier <dannf@debian.org>  Thu, 25 Nov 2004 14:18:38 -0700

kernel-image-2.6.9-ia64 (2.6.9-1) unstable; urgency=low

  * New upstream release
  * remove the 2.6 meta packages from this release - 2.6.8 should remain
    the default 2.6 until sarge releases.

 -- dann frazier <dannf@debian.org>  Wed, 24 Nov 2004 03:40:13 -0700

kernel-image-2.6.8-ia64 (2.6.8-6) unstable; urgency=medium

  * Add missing files needed for building modules to kernel-headers package,
    Closes: #266804
  * Increase CONFIG_BLK_DEV_RAM_SIZE to 32K, the size used by d-i

 -- dann frazier <dannf@debian.org>  Thu, 04 Nov 2004 20:07:24 -0700

kernel-image-2.6.8-ia64 (2.6.8-5) unstable; urgency=medium

  * Rebuild against kernel-tree-2.6.8-7

 -- dann frazier <dannf@debian.org>  Thu, 04 Nov 2004 19:07:03 -0700

kernel-image-2.6.8-ia64 (2.6.8-4) unstable; urgency=medium

  * Rebuild against kernel-tree-2.6.8-6

 -- dann frazier <dannf@debian.org>  Tue, 14 Sep 2004 20:14:32 -0600

kernel-image-2.6.8-ia64 (2.6.8-3) unstable; urgency=high

  * Rebuild against kernel-tree-2.6.8-5

 -- dann frazier <dannf@debian.org>  Sat, 28 Aug 2004 00:53:34 -0600

kernel-image-2.6.8-ia64 (2.6.8-2) unstable; urgency=high

  * Rebuild against kernel-tree-2.6.8-4

 -- dann frazier <dannf@debian.org>  Thu, 26 Aug 2004 21:58:47 -0600

kernel-image-2.6.8-ia64 (2.6.8-1) unstable; urgency=low

  * New upstream release
  * No need for a kernel-patch-2.6.8-ia64 at this time

 -- dann frazier <dannf@debian.org>  Wed, 18 Aug 2004 09:45:19 -0600

kernel-image-2.6.7-ia64 (2.6.7-3) unstable; urgency=low

  * Build against kernel-tree-2.6.7-3
  * Build against kernel-patch-2.6.7-ia64 (2.6.7-3)

 -- dann frazier <dannf@debian.org>  Sun, 11 Jul 2004 12:14:43 -0600

kernel-image-2.6.7-ia64 (2.6.7-2) unstable; urgency=high

  * Build against kernel-patch-2.6.7-ia64 (2.6.7-2), which includes
    an sn console update.
  * Build against kernel-tree-2.6.7-2

 -- dann frazier <dannf@debian.org>  Tue, 29 Jun 2004 13:30:22 -0600

kernel-image-2.6.7-ia64 (2.6.7-1) unstable; urgency=high

  * New upstream release.
  * Turn on SGI_L1_SERIAL_CONSOLE for SMP builds

 -- dann frazier <dannf@debian.org>  Mon, 21 Jun 2004 17:29:47 -0600

kernel-image-2.6.6-ia64 (2.6.6-3) unstable; urgency=high

  * Build against kernel-patch-2.4.26-ia64 (2.4.26-3), which reverts the
    sym53c8xx_2 driver to the 2.6.5 version.

 -- dann frazier <dannf@debian.org>  Wed, 09 Jun 2004 22:49:33 -0600

kernel-image-2.6.6-ia64 (2.6.6-2) unstable; urgency=high

  * SECURITY: Build against kernel-patch-2.4.26-ia64 (2.4.26-2), which includes
    a fix for a potential floating point information leak.

 -- dann frazier <dannf@debian.org>  Tue, 08 Jun 2004 21:42:21 -0600

kernel-image-2.6.6-ia64 (2.6.6-1) unstable; urgency=low

  * New upstream release

 -- dann frazier <dannf@debian.org>  Fri, 28 May 2004 21:34:24 -0600

kernel-image-2.6.5-ia64 (2.6.5-2) unstable; urgency=low

  * Build against kernel-tree-2.6.5-4

 -- dann frazier <dannf@debian.org>  Wed, 05 May 2004 00:43:06 -0600

kernel-image-2.6.5-ia64 (2.6.5-1) unstable; urgency=low

  * new upstream release

 -- dann frazier <dannf@debian.org>  Sun, 11 Apr 2004 20:37:38 -0600

kernel-image-2.6.4-ia64 (2.6.4-1) unstable; urgency=low

  * new upstream release

 -- dann frazier <dannf@debian.org>  Mon, 15 Mar 2004 23:56:01 -0700


